// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/type/address.proto

package address

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// The PostalAddress contains information about a postal address.
type PostalAddress struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// the street name and number, c/o field and any other address lines not contained in this message
	// may be multiline separated with \n
	AddressLines string `protobuf:"bytes,1,opt,name=address_lines,json=addressLines,proto3" json:"address_lines,omitempty"`
	// the name of the city
	Locality string `protobuf:"bytes,2,opt,name=locality,proto3" json:"locality,omitempty"`
	// the postal code
	PostalCode string `protobuf:"bytes,3,opt,name=postal_code,json=postalCode,proto3" json:"postal_code,omitempty"`
	// the country code in [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
	// a list of all current codes can be found [here](https://www.iso.org/obp/ui/#search)
	Country string `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"`
	// the entire formatted address, multiline
	Formatted string `protobuf:"bytes,5,opt,name=formatted,proto3" json:"formatted,omitempty"`
	// The name of the addressee
	AddresseeName string `protobuf:"bytes,6,opt,name=addressee_name,json=addresseeName,proto3" json:"addressee_name,omitempty"`
}

func (x *PostalAddress) Reset() {
	*x = PostalAddress{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_type_address_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PostalAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PostalAddress) ProtoMessage() {}

func (x *PostalAddress) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_type_address_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PostalAddress.ProtoReflect.Descriptor instead.
func (*PostalAddress) Descriptor() ([]byte, []int) {
	return file_vseth_type_address_proto_rawDescGZIP(), []int{0}
}

func (x *PostalAddress) GetAddressLines() string {
	if x != nil {
		return x.AddressLines
	}
	return ""
}

func (x *PostalAddress) GetLocality() string {
	if x != nil {
		return x.Locality
	}
	return ""
}

func (x *PostalAddress) GetPostalCode() string {
	if x != nil {
		return x.PostalCode
	}
	return ""
}

func (x *PostalAddress) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *PostalAddress) GetFormatted() string {
	if x != nil {
		return x.Formatted
	}
	return ""
}

func (x *PostalAddress) GetAddresseeName() string {
	if x != nil {
		return x.AddresseeName
	}
	return ""
}

var File_vseth_type_address_proto protoreflect.FileDescriptor

var file_vseth_type_address_proto_rawDesc = []byte{
	0x0a, 0x18, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x61, 0x64, 0x64,
	0x72, 0x65, 0x73, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x22, 0xd0, 0x01, 0x0a, 0x0d, 0x50, 0x6f, 0x73, 0x74, 0x61,
	0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x23, 0x0a, 0x0d, 0x61, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x5f, 0x6c, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x4c, 0x69, 0x6e, 0x65, 0x73, 0x12, 0x1a, 0x0a,
	0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x6f, 0x73,
	0x74, 0x61, 0x6c, 0x5f, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a,
	0x70, 0x6f, 0x73, 0x74, 0x61, 0x6c, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74, 0x65,
	0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x74,
	0x65, 0x64, 0x12, 0x25, 0x0a, 0x0e, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x65, 0x65, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x65, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x42, 0x66, 0x0a, 0x15, 0x63, 0x68, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x61, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x50, 0x01, 0x5a, 0x4b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68,
	0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d,
	0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73,
	0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_type_address_proto_rawDescOnce sync.Once
	file_vseth_type_address_proto_rawDescData = file_vseth_type_address_proto_rawDesc
)

func file_vseth_type_address_proto_rawDescGZIP() []byte {
	file_vseth_type_address_proto_rawDescOnce.Do(func() {
		file_vseth_type_address_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_type_address_proto_rawDescData)
	})
	return file_vseth_type_address_proto_rawDescData
}

var file_vseth_type_address_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_vseth_type_address_proto_goTypes = []interface{}{
	(*PostalAddress)(nil), // 0: vseth.type.PostalAddress
}
var file_vseth_type_address_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_vseth_type_address_proto_init() }
func file_vseth_type_address_proto_init() {
	if File_vseth_type_address_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_type_address_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PostalAddress); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_type_address_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_vseth_type_address_proto_goTypes,
		DependencyIndexes: file_vseth_type_address_proto_depIdxs,
		MessageInfos:      file_vseth_type_address_proto_msgTypes,
	}.Build()
	File_vseth_type_address_proto = out.File
	file_vseth_type_address_proto_rawDesc = nil
	file_vseth_type_address_proto_goTypes = nil
	file_vseth_type_address_proto_depIdxs = nil
}
